

package gov.va.med.mediator.client.messagemediator;


public class MessageMediatorMock
    implements
        MessageMediatorInterface
{
    protected static final String EXPECTED_PROCESS_RESULT = "Some XML Processed Message Result";


    public boolean isAlive( )
    {
        return true;
    }


    public String processMessage( String hl7MessageRequest )
    {
        return EXPECTED_PROCESS_RESULT;
    }
    
    public String processMessage( String hl7MessageRequest, Boolean persistOriginalMessage )
    {
        return EXPECTED_PROCESS_RESULT;
    }

}
